Get Device Management Summary Information

get

/rest/{versionId}/inventory/device-mgmt/devices

Use this (GET) method to retrieve the summary device information for all devices that the user has privileges to view in Device Manager. The user can filter the query request using the query parameters provided in the request.

Request

Path Parameters
Query Parameters
Back to Top

Response

200 Response

Device management summary information retrieved successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user does not have permission.

404 Response

The object (resource URI, device, and so on) of your input request cannot be found.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get device management summary information.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/devices"

The following example shows how to use Python to get device management summary information.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/devices"
resp = requests.get(url, headers=headers)

Example of the Response Body

The following example shows the contents of the response body.

{
  "devices": [
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "1",
      "ip": "192.0.2.10",
      "key": "mcename_192.0.2.10",
      "manageable": false,
      "name": "mcename",
      "nfId": "41",
      "nfName": "mcename",
      "parentGroupId": "41",
      "platformInfo": {
        "platform": "MCE"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "0",
        "version": "25.2.0.0.0"
      }
    },
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "2",
      "ip": "192.0.2.10",
      "key": "osdmc-vsbc28_192.0.2.10",
      "manageable": true,
      "name": "osdmc-vsbc28",
      "nfId": "42",
      "nfName": "sbc28",
      "parentGroupId": "42",
      "platformInfo": {
        "platform": "NNOSVM"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "41",
        "version": "SCZ910p5"
      }
    },
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "3",
      "ip": "192.0.2.10",
      "key": "me5_192.0.2.10",
      "manageable": true,
      "name": "me5",
      "nfId": "43",
      "nfName": "me5",
      "parentGroupId": "43",
      "platformInfo": {
        "platform": "NA",
        "timeZoneInfo": "UTC"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "0",
        "version": "NA"
      }
    },
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "4",
      "ip": "192.0.2.10",
      "key": "OSDMC-vECB-9_192.0.2.10",
      "manageable": true,
      "name": "OSDMC-vECB-9",
      "nfId": "44",
      "nfName": "ecb9",
      "parentGroupId": "44",
      "platformInfo": {
        "platform": "NNOSVM"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "56",
        "version": "PCZ410p5"
      }
    },
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "13",
      "ip": "192.0.2.10",
      "key": "OSDMC-SBC-20_192.0.2.10",
      "manageable": true,
      "name": "OSDMC-SBC-20",
      "nfId": "49",
      "nfName": "esbcHAPair_21_22",
      "parentGroupId": "49",
      "platformInfo": {
        "platform": "NNOSVM"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "574",
        "version": "SCZ930p6"
      }
    },
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "14",
      "ip": "192.0.2.10",
      "key": "OSDMC-SBC-21_192.0.2.10",
      "manageable": true,
      "name": "OSDMC-SBC-21",
      "nfId": "49",
      "nfName": "esbcHAPair_21_22",
      "parentGroupId": "49",
      "platformInfo": {
        "platform": "NNOSVM"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "574",
        "version": "SCZ930p6"
      }
    }
  ]
}
Back to Top